/*
 * @Author: XianKaiQun
 * @Date: 2020-04-29 17:58:15
 * @LastEditors: XianKaiQun
 * @LastEditTime: 2020-04-29 18:02:37
 * @Descripttion: 
 */
///统计详情
class StatDetailModel {
  String? deadline;
  String? position;
  num? finishedCount;
  num? finishedRate;
  num? todoCount;
  dynamic cost;
  List<ExcutiveWorkVosOfStatDetailModel>? excutiveWorkVos;

  StatDetailModel({
    this.deadline,
    this.position,
    this.finishedCount,
    this.finishedRate,
    this.todoCount,
    this.cost,
    this.excutiveWorkVos,
  });

  StatDetailModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    deadline = map['deadline'];
    position = map['position'];
    finishedCount = map['finishedCount'];
    finishedRate = map['finishedRate'];
    todoCount = map['todoCount'];
    cost = map['cost'];
    excutiveWorkVos = List<ExcutiveWorkVosOfStatDetailModel>.from(
        (map["excutiveWorkVos"] ?? [])
            .map((x) => ExcutiveWorkVosOfStatDetailModel.fromJson(x)));
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['deadline'] = this.deadline;
    json['position'] = this.position;
    json['finishedCount'] = this.finishedCount;
    json['finishedRate'] = this.finishedRate;
    json['todoCount'] = this.todoCount;
    json['cost'] = this.cost;
    json['excutiveWorkVos'] =
        List<dynamic>.from((excutiveWorkVos ?? []).map((x) => x.toJson()));

    return json;
  }
}

class ExcutiveWorkVosOfStatDetailModel {
  String? title;
  String? status;
  String? createdTime;
  String? finishedTime;

  ExcutiveWorkVosOfStatDetailModel({
    this.title,
    this.status,
    this.createdTime,
    this.finishedTime,
  });

  ExcutiveWorkVosOfStatDetailModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    title = map['title'];
    status = map['status'];
    createdTime = map['createdTime'];
    finishedTime = map['finishedTime'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['title'] = this.title;
    json['status'] = this.status;
    json['createdTime'] = this.createdTime;
    json['finishedTime'] = this.finishedTime;

    return json;
  }
}
